Bug 25675 - System preference PatronSelfRegistration incorrectly described
Summary: System preference PatronSelfRegistration incorrectly described
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Andrew Fuerste-Henry
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-04 13:48 UTC by Donna
Modified: 2020-07-02 23:28 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.01, 19.11.07, 19.05.13


Attachments
Bug 25675: Reword and reorganize sysprefs related to patron self modification (2.93 KB, patch)
2020-06-04 16:23 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 25675: Reword and reorganize sysprefs related to patron self modification (2.94 KB, patch)
2020-06-04 17:01 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 25675: Reword and reorganize sysprefs related to patron self modification (2.99 KB, patch)
2020-06-07 12:16 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Donna 2020-06-04 13:48:57 UTC
The system preference PatronSelfRegistration description states:  "library patrons to register or modify their account via the OPAC" however, in testing it, patron self modification is actually controlled by OPACPatronDetails system preference, which is in a different area of system preferences.

At the very least, the description for PatronSelfRegistration should be updated to removed the reference to "modify".

I would also propose that OPACPatronDetails and PatronSelfModificationBorrowerUnwantedField are placed together.  It is very confusing to enable the modification function in one section, and define the display in another section.
Comment 1 Andrew Fuerste-Henry 2020-06-04 16:23:32 UTC
Created attachment 105561 [details] [review]
Bug 25675: Reword and reorganize sysprefs related to patron self modification

To Test:
1: apply patch
2: restart all
3: go to System Preferences > OPAC
4: confirm "Self registration" section is now labeled "Self registration and modification"
5: confirm OPACPatronDetails is now in the "Self registration and modification" section
6: confirm PatronSelfRegistration now reads "(Allow / Don't allow)  library patrons to register for an account via the OPAC."
7: set OPACPatronDetails to Don't allow
8: set PatronSelfRegistration to Allow
9: log into the opac and verify you're not able to edit your patron details on an existing account
Comment 2 ByWater Sandboxes 2020-06-04 17:01:45 UTC
Created attachment 105562 [details] [review]
Bug 25675: Reword and reorganize sysprefs related to patron self modification

To Test:
1: apply patch
2: restart all
3: go to System Preferences > OPAC
4: confirm "Self registration" section is now labeled "Self registration and modification"
5: confirm OPACPatronDetails is now in the "Self registration and modification" section
6: confirm PatronSelfRegistration now reads "(Allow / Don't allow)  library patrons to register for an account via the OPAC."
7: set OPACPatronDetails to Don't allow
8: set PatronSelfRegistration to Allow
9: log into the opac and verify you're not able to edit your patron details on an existing account

Signed-off-by: DonnaB <donna@bywatersolutions.com>
Comment 3 Katrin Fischer 2020-06-07 12:16:46 UTC
Created attachment 105616 [details] [review]
Bug 25675: Reword and reorganize sysprefs related to patron self modification

To Test:
1: apply patch
2: restart all
3: go to System Preferences > OPAC
4: confirm "Self registration" section is now labeled "Self registration and modification"
5: confirm OPACPatronDetails is now in the "Self registration and modification" section
6: confirm PatronSelfRegistration now reads "(Allow / Don't allow)  library patrons to register for an account via the OPAC."
7: set OPACPatronDetails to Don't allow
8: set PatronSelfRegistration to Allow
9: log into the opac and verify you're not able to edit your patron details on an existing account

Signed-off-by: DonnaB <donna@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-06-15 10:00:59 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-06-17 22:50:05 UTC
backported to 20.05.x for 20.05.01
Comment 6 Aleisha Amohia 2020-06-22 03:31:24 UTC
backported to 19.11.x for 19.11.07
Comment 7 Victor Grousset/tuxayo 2020-07-02 23:28:09 UTC
Backported to 19.05.x branch for 19.05.13